Skip to main content
POST
Request MT940 statement via email
Send MT940 format statements via email to a specified contact.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

client_id
string
required

The ID of the client

Body

application/json

MT940 statement request parameters

date_from
string<date>
required

Start date for the statement (YYYY-MM-DD)

Example:

"2020-01-01"

date_to
string<date>

End date for the statement (YYYY-MM-DD)

Example:

"2020-01-31"

account_ids
integer[]

List of account IDs to include. If not provided, all accounts will be included.

Example:
sub_tags
boolean
default:false

Whether to include sub-tags in the MT940 format

Response

Request accepted, you will receive an email with the statement

The response is of type string.

Example:

"Request accepted, you will receive an email with the statement."